%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global commit 14e67654aaf45edf83c1dc675dc214b535028ca1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:       scitools
Version:    0.9.0
Release:    13.20150601git14e67654%{?dist}
Summary:    A Python library for scientific computing

Group:      Applications/Engineering
License:    BSD
URL:        https://github.com/hplgit/scitools
Source0:    https://github.com/hplgit/scitools/archive/%{commit}/scitools-%{commit}.tar.gz

Source1:    README.Fedora
BuildArch:  noarch

BuildRequires: python-devel
BuildRequires: python-matplotlib
Requires:   numpy
Requires:   scipy
Requires:   python-matplotlib

%description
SciTools is a Python package containing lots of useful tools for scientific
computing in Python. The package is built on top of other widely used packages
such as NumPy, SciPy, matplotlib, etc.


%package    extras
Summary:    Provides extra functionality to scitools

Requires:   %{name} = %{version}-%{release}
Requires:   numpy vtk-python
Requires:   PyX veusz blt dx python-pmw
Requires:   pygrace

%description extras
Installs all packages scitools was designed to work with. For full
functionality you will need to install the scitools-extras package. 
Please see the website, http://code.google.com/p/scitools/wiki/Installation,
or details.

%prep
%setup -q -n %{name}-%{commit}
cp -p %{SOURCE1} .

%build
%{__python2} setup.py --easyviz_backend matplotlib build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# The bin directory is really code to interact with the upstream 
# author's book.  The package works fine without it for normal use.
# This directory is better off in the documentation.
rm -rf %{buildroot}/%{_bindir}/*
rm -rf %{buildroot}/%{_mandir}

%files
%license LICENSE 
%doc README ChangeLog README.Fedora examples bin
%{python2_sitelib}/*egg-info
%{python2_sitelib}/%{name}

%files extras

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-13.20150601git14e67654
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-12.20150601git14e67654
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 26 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.9.0-11.20150601git14e67654
- rebuilt for matplotlib-2.0.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-10.20150601git14e67654
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-9.20150601git14e67654
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Sep 16 2015 Sergio Pascual <sergiopr@fedoraproject.org> - 0.9.0-8.20150601git14e67654
- Removed dependency on gnuplot-py (use matplotlib instead)
- Removed dependency on ScientificPython (README says it only needs numpy)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-7.20150601git14e67654
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 01 2015 Sergio Pascual <sergiopr@fedoraproject.org> - 0.9.0-6.20150601git14e67654
- Checkout from github, fixes bz #1225970

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Sergio Pascual <sergio.pasra@gmail.com> - 0.9.0-1
- New upstream source (0.9.0)

* Wed Feb 08 2012 Sergio Pascual <sergio.pasra@gmail.com> - 0.8-3
- Spec cleanup
- Removed python-numarray from dependencies

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 16 2011 Sergio Pascual <sergio.pasra@gmail.com> 0.8-1
- New upstream source

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-3
- Update -extras to depend on numpy like the main package

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 23 2009 Joseph Smidt <josephsmidt@gmail.com> 0.6-1
- New Upstream Release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Joseph Smidt <josephsmidt@gmail.com> 0.4-4
- Removed pygrace Requires from RHEL 4.  

* Wed Feb 18 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-3
- Added %%{version} to the Source0 name.
- Fixed converted remaining RPM_BUILD_ROOT to %%{buildroot}.
- Removed capitalization of gnuplot in %%description
- Changed 'cp' to 'cp -a' to preserve time stamp.

*Tue Feb 17 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-2
- Added %%build section to remove rpmlint warning
- Replaced dx-devel with dx in Requires.
- Added BuildArch: noarch 

*Mon Feb 16 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-1
- Changed Fedora specific README.bin to README.Fedora
- Added README.Fedora as a source, instead of a patch.
- Cleaned up some macros in changelog
- Begin numbering with integer values.

* Mon Feb 16 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-0.4
- Added README.Fedora to documentation
- Moved files from %%{bindir} to documentation to prevent clashes

* Mon Feb 16 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-0.3
- Added python-pmw and changed grace to pygrace in -extras Requires.
- Removed %%doc from extras.

* Sun Feb 15 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-0.2
- Put examples into %%doc section.
- Added -extras package to pull in all packages scitools can work with.

* Sun Feb 15 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-0.1
- Changed name SciTools to scitools.
- Added python-devel to BuildRequires.
- Added %%{python_sitelib} macro.
- Added ScientificPython to Requires.
- Move examples to %%{_datadir}/scitools.

* Sat Feb 14 2009 Joseph Smidt <jsmidt@fedoraproject.org> 0.4-0
- Initial RPM release
